#include "MainWindow.h"
#include "ui_MainWindow.h"

QStatusBar* statusBar = nullptr;

MainWindow::MainWindow(QWidget *parent) : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);

    QSqlDatabase db = QSqlDatabase::database();
    if (db.isOpen()) {
        status(Ui::INFO, QString("Connected to %1").arg(db.hostName()));
    } else {
        status(Ui::ERROR, "Cannot connect to database: " + db.lastError().text());
    }
}
